unit Unit2; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  FileCtrl, StdCtrls, Unit_variables, serial;

type

  { TForm2 }

  TForm2 = class(TForm)
    Actualise: TButton;
    Button1: TButton;
    Edit1: TEdit;
    FileListBox1: TFileListBox;
    procedure ActualiseClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FileListBox1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);

  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form2: TForm2; 

implementation

 uses
   Unit1;

{ TForm2 }

procedure TForm2.FormActivate(Sender: TObject);
begin
 FileListBox1.Directory:='/dev';
 FileListBox1.UpdateFileList;
 FileListBox1.ItemIndex:=0;
 if choix_port_serie_ok then Edit1.Text:=portserie else Edit1.Text:='===';
end;


procedure ouverture_port_serie;
begin
 if choix_port_serie_ok then
 begin

  try
   Handle_port_serie := SerOpen('/dev/'+portserie);  // Config RS232 virtuel par convertisseur USB-RS232
   if  Handle_port_serie <> 0 then
    begin
    SerSetParams(Handle_port_serie, 19200, 8, NoneParity, 1, []); // 9600 Bps, 8 Bits, None Parity, 1 Stop Bit
    port_serie_ouvert:=true;
    Form1.Led_USB1.brush.Color:=clLime;
    Form2.close;
    end
   else  showmessage('Le Handle du port série est nul :-)');
  except
    showmessage('Le port série ne peut pas être présentement ouvert' +chr(10)
  + 'Réessayez...');
  end;

 end else showmessage('Attention: Choisir le port série au préalable');
 end;



procedure TForm2.ActualiseClick(Sender: TObject);
begin
 FileListBox1.UpdateFileList;
end;



procedure TForm2.Button1Click(Sender: TObject);
begin
 showmessage('Je vais ouvrir le port: /dev/' + portserie );
 ouverture_port_serie;
end;



procedure TForm2.FileListBox1Click(Sender: TObject);
var
 num_ligne:integer;
begin
  num_ligne:=FileListBox1.ItemIndex;
  portserie:= FileListBox1.Items[num_ligne];
  Edit1.Text:= portserie;
  Form1.Edit14.Text:=portserie;
  choix_port_serie_ok:=true;
end;



initialization
  {$I unit2.lrs}

end.

